[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenu.OnDrawItem

Event handler signalled to draw a menu item on the menu.

## Declaration

Source position: menus.pp line 433

`published property TMenu.OnDrawItem : TMenuDrawItemEvent read FOnDrawItem write FOnDrawItem;`

## Description

Remark: | OwnerDraw, OnDrawItem, and OnMeasureItem are not supported on the macOS Carbon, GTK2, QT4, QT5, and QT6 widgetsets.

## See also

TMenu.OwnerDraw |  | Indicates if the menu items are drawn using the OnDrawItem event handler.
TMenu.OnMeasureItem |  | Event handler signalled to get the width and height for a menu item on the menu.